/*
 * Aquesta app està subjecta a una llicència de
 * Reconeixement-NoComercial-
 * SenseObraDerivada 3.0 Espanya de Creative
 * Common
 */

package controller;

/**
 * Created by Cesc on 29/05/2016.
 */

import android.app.Application;
import android.content.Context;
import android.text.TextUtils;

import com.android.volley.Request;
import com.android.volley.RequestQueue;
import com.android.volley.toolbox.Volley;

public class DbConnection extends Application {
    public static final String TAG = DbConnection.class.getSimpleName();

    private RequestQueue mRequestQueue;

    private static DbConnection mInstance = new DbConnection();

    @Override
    public void onCreate() {
        super.onCreate();
        mInstance = this;
    }

    public static synchronized DbConnection getInstance() {
        return mInstance;
    }

    public RequestQueue getRequestQueue(Context ctx) {
        if (mRequestQueue == null) {
            mRequestQueue = Volley.newRequestQueue(ctx);
        }

        return mRequestQueue;
    }

    public <T> void addToRequestQueue(Context ctx, Request<T> req, String tag) {
        req.setTag(TextUtils.isEmpty(tag) ? TAG : tag);
        getRequestQueue(ctx).add(req);
    }

    public <T> void addToRequestQueue(Context ctx, Request<T> req) {
        req.setTag(TAG);
        getRequestQueue(ctx).add(req);
    }

    public void cancelPendingRequests(Object tag) {
        if (mRequestQueue != null) {
            mRequestQueue.cancelAll(tag);
        }
    }
}
