/*
 * Aquesta app està subjecta a una llicència de
 * Reconeixement-NoComercial-
 * SenseObraDerivada 3.0 Espanya de Creative
 * Common
 */

package controller;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.List;

import edu.uoc.emsobraunaentrada.R;
import model.Publicacio;

/**
 * Created by Cesc on 11/05/2016.
 */
public class PubsAdaptador extends ArrayAdapter<Publicacio> {
    private List<Publicacio> items;

    public PubsAdaptador(Context context, List<Publicacio> items) {
        super(context, R.layout.lv_pubslayout, items);
        this.items = items;
    }

    @Override
    public int getCount() {
        return items.size();
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        View v = convertView;
        if (v == null) {
            LayoutInflater li = LayoutInflater.from(getContext());
            v = li.inflate(R.layout.lv_pubslayout, null);
        }

        Publicacio pub = items.get(position);
        if (pub != null) {
            // titol
            TextView txtvw_titol = (TextView) v
                    .findViewById(R.id.txtvw_PublicacioTitol);
            txtvw_titol.setText(pub.getTitol());
            // imatge
            ImageView categoria = (ImageView) v.findViewById(R.id.imgPublicacio);
            switch (pub.getCategoria()) {
                case "Concerts":
                    categoria.setImageResource(R.drawable.ic_concerts);
                    pub.setImgCategoria(R.drawable.ic_concerts);
                    break;
                case "Cinema":
                    categoria.setImageResource(R.drawable.ic_cinema);
                    pub.setImgCategoria(R.drawable.ic_cinema);
                    break;
                case "Esports":
                    categoria.setImageResource(R.drawable.ic_esports);
                    pub.setImgCategoria(R.drawable.ic_esports);
                    break;
                case "Teatre i dança":
                    categoria.setImageResource(R.drawable.ic_teatre);
                    pub.setImgCategoria(R.drawable.ic_teatre);
                    break;
                case "Altres":
                    categoria.setImageResource(R.drawable.ic_altres);
                    pub.setImgCategoria(R.drawable.ic_altres);
                default:
                    break;
            }
            // localitat
            TextView txtvw_localitat = (TextView) v
                    .findViewById(R.id.txtvw_localitat);
            txtvw_localitat.setText(pub.getLocalitat());
            // entrades
            TextView txtvw_entrades = (TextView) v
                    .findViewById(R.id.txtvw_numEntrades);
            txtvw_entrades.setText(getContext().getString(R.string.str_entrades) + " " + pub.getEntrades());
            // preu
            TextView txtvw_preu = (TextView) v
                    .findViewById(R.id.txtvw_preu);
            txtvw_preu.setText(pub.getPreu() + getContext().getString(R.string.str_simbolEuro));
            // data esdeveniment
            TextView txtvw_dataEsdeve = (TextView) v
                    .findViewById(R.id.txtvw_dataEsdeve);
            txtvw_dataEsdeve.setText(pub.getStrDataEsdeve());
        }
        return v;

    }
}
