/*
 * Aquesta app està subjecta a una llicència de
 * Reconeixement-NoComercial-
 * SenseObraDerivada 3.0 Espanya de Creative
 * Common
 */

package edu.uoc.emsobraunaentrada;

import android.content.Intent;
import android.support.v4.app.NavUtils;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.support.v7.widget.Toolbar;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;

import controller.Controller;

public class CommentActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        final Button btnComment;

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_comment);

        //Get Global Controller Class object (see application tag in AndroidManifest.xml)
        final Controller aController = (Controller) getApplicationContext();

        // Construïm la toolbar amb els seus botons
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);
        assert getSupportActionBar() != null;
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);
        getSupportActionBar().setDisplayShowHomeEnabled(true);

        // recuperem els camps a informar
        ImageView imgCategoria = (ImageView) findViewById(R.id.imgPublicacio);
        TextView txtvwTitol = (TextView) findViewById(R.id.txtvw_PublicacioTitol);
        TextView txtvwLocEsdeve = (TextView) findViewById(R.id.txtvw_localitat);
        TextView txtvwDataEsdeve = (TextView) findViewById(R.id.txtvw_dataEsdeve);
        TextView txtvwEntrades = (TextView) findViewById(R.id.txtvw_numEntrades);
        TextView txtvwPreu = (TextView) findViewById(R.id.txtvw_preu);

        if (aController.hasPubSelected()) {
            imgCategoria.setImageResource(aController.getPubSeleccionada().getImgCategoria());
            txtvwTitol.setText(aController.getPubSeleccionada().getTitol());
            txtvwLocEsdeve.setText(aController.getPubSeleccionada().getLocalitat());
            txtvwDataEsdeve.setText(aController.getPubSeleccionada().getStrDataEsdeve());
            txtvwEntrades.setText(getString(R.string.str_entrades) + " " + aController.getPubSeleccionada().getEntrades());
            txtvwPreu.setText(aController.getPubSeleccionada().getPreu() + getString(R.string.str_simbolEuro));
        }

        btnComment = (Button) findViewById(R.id.btnComment);
        btnComment.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                EditText etBody = (EditText) findViewById(R.id.itxtComentari);

                // es necesario un intent que levante la actividad deseada
                Intent itSend = new Intent(android.content.Intent.ACTION_SEND);
                // vamos a enviar texto plano a menos que el checkbox esté marcado
                itSend.setType("plain/text");

                // colocamos los datos para el envío
                itSend.putExtra(android.content.Intent.EXTRA_EMAIL, new String[]{ aController.getPubSeleccionada().getUsrPublicacio().getMail() });
                itSend.putExtra(android.content.Intent.EXTRA_SUBJECT, getString(R.string.str_mailSubject));
                itSend.putExtra(android.content.Intent.EXTRA_TEXT, etBody.getText());

                startActivity(itSend);
            }
        });
    }

    @Override
    public void onBackPressed()
    {
        super.onBackPressed();
        Intent i = new Intent(getApplication().getApplicationContext(), MainActivity.class);
        startActivity(i);
        finish();
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.common_activity_menu, menu);
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case android.R.id.home:
                NavUtils.navigateUpFromSameTask(this);
                finish();
                return true;
            default:
                return super.onOptionsItemSelected(item);
        }
    }
}
