/*
 * Aquesta app està subjecta a una llicència de
 * Reconeixement-NoComercial-
 * SenseObraDerivada 3.0 Espanya de Creative
 * Common
 */

package model;

import android.text.format.DateFormat;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Created by Cesc on 11/05/2016.
 */
public class Publicacio {
    private int id_publicacio;
    private String titol;
    private String descripcio;
    private String urlimg;
    private String preu;
    private String categoria;
    private String localitat;
    private int entrades;
    private Date dataEsdeve;
    private Date dataPublicacio;
    private int imgCategoria;
    private Usuari usrPublicacio;

    public Publicacio () {

    }

    public Publicacio (int idPublicacio, String titol, String descripcio, int imgCategoria, String preu,
                       String categoria, String localitat, int entrades, Date dataEsdeve, Date dataPub,
                       Usuari usrPub) {
        this.id_publicacio = idPublicacio;
        this.titol = titol;
        this.descripcio = descripcio;
        this.preu = preu;
        this.categoria = categoria;
        this.localitat = localitat;
        this.entrades = entrades;
        this.dataEsdeve = dataEsdeve;
        this.dataPublicacio = dataPub;
        this.imgCategoria = imgCategoria;
        this.usrPublicacio = usrPub;
    }
    public int getId_publicacio() {
        return id_publicacio;
    }

    public void setId_publicacio(int id_publicacio) {
        this.id_publicacio = id_publicacio;
    }

    public String getDescripcio() {
        return descripcio;
    }

    public void setDescripcio(String descripcio) {
        this.descripcio = descripcio;
    }

    public String getUrlimg() {
        return urlimg;
    }

    public void setUrlimg(String urlimg) {
        this.urlimg = urlimg;
    }

    public String getPreu() {
        return preu.replace(".", ",");
    }

    public void setPreu(String preu) {
        this.preu = preu;
    }

    public String getCategoria() {
        return categoria;
    }

    public void setCategoria(String categoria) {
        this.categoria = categoria;
    }

    public String getTitol() {
        return titol;
    }

    public void setTitol(String titol) {
        this.titol = titol;
    }

    public String getLocalitat() {
        return localitat;
    }

    public void setLocalitat(String localitat) {
        this.localitat = localitat;
    }

    public int getEntrades() {
        return entrades;
    }

    public void setEntrades(int entrades) {
        this.entrades = entrades;
    }

    public Date getDataEsdeve() {
        return dataEsdeve;
    }

    public String getStrDataEsdeve() {
        return getStrDate(dataEsdeve);
    }

    public void setDataEsdeve(Date dataEsdeve) {
        this.dataEsdeve = dataEsdeve;
    }

    public Date getDataPublicacio() {
        return dataPublicacio;
    }

    public String getStrDataPub() {
        return getStrDate(dataPublicacio);
    }

    public void setDataPublicacio(Date dataPublicacio) {
        this.dataPublicacio = dataPublicacio;
    }

    public int getImgCategoria() {
        return imgCategoria;
    }

    public void setImgCategoria(int imgCategoria) {
        this.imgCategoria = imgCategoria;
    }

    public Usuari getUsrPublicacio() {
        return usrPublicacio;
    }

    public void setUsrPublicacio() {
        this.usrPublicacio = new Usuari();
    }

    private String getStrDate (Date dt) {
        String dateString = null;
        SimpleDateFormat sdfr = new SimpleDateFormat("dd/MM/yyyy");

        try{
            dateString = sdfr.format(dt);
        }catch (Exception ex ){
            System.out.println(ex);
        }
        return dateString;
    }
}
