<?php
	require 'views/viewJson.php';
	require 'models/user.php';
	require 'models/publish.php';
	
	// Constantes de estado
	const ESTADO_URL_INCORRECTA = 2;
	const ESTADO_EXISTENCIA_RECURSO = 3;
	const ESTADO_METODO_NO_PERMITIDO = 4;	
	
	// Obtener recurso
	$peticion = explode('/', $_GET['PATH_INFO']);
	$recurso = array_shift($peticion);
	
	$recursos_existentes = array('usuari', 'publicacio');
	$metodo = strtolower($_SERVER['REQUEST_METHOD']);
	$vista = new VistaJson();
	
	// Manaejado de excepciones
	set_exception_handler(function ($exception) use ($vista) {
		$cuerpo = array(
			"estado" => $exception->estado,
			"mensaje" => $exception->getMessage()
		);
		if ($exception->getCode()) {
			$vista->estado = $exception->getCode();
		} else {
			$vista->estado = 500;
		}

		$vista->imprimir($cuerpo);
	});	

	// Comprobar si existe el recurso
	if (!in_array($recurso, $recursos_existentes)) {
	 // Respuesta error
	}

	switch ($metodo) {
		case 'get':
			// Procesar método get
			$vista->imprimir(publicaciones::get($peticion));
			break;

		case 'post':
			// Procesar método post
			if($recurso == 'usuari') {
				$vista->imprimir(usuarios::post($peticion));
			}
			else
				$vista->imprimir(publicaciones::post($peticion));
			break;
		case 'put':
			// Procesar método put
			$vista->imprimir(publicaciones::put($peticion));
			break;

		case 'delete':
			// Procesar método delete
			$vista->imprimir(publicaciones::delete($peticion));
			break;
		default:
			// Método no aceptado
	}
	
	// TODO Filtrar método
	/*switch ($metodo) {
		case 'get':
		case 'post':
		case 'put':
		case 'delete':
			if (method_exists($recurso, $metodo)) {
				$respuesta = call_user_func(array($recurso, $metodo), $peticion);
				$vista->imprimir($respuesta);
				break;
			}
		default:
			// Método no aceptado
			$vista->estado = 405;
			$cuerpo = [
				"estado" => ESTADO_METODO_NO_PERMITIDO,
				"mensaje" => utf8_encode("Método no permitido")
			];
			$vista->imprimir($cuerpo);

	}*/	

?>